Get a Scheduled Function Run
curl --request GET \
--url https://api.getnexor.ai/api/public/scheduled-functions/runs/{runId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getnexor.ai/api/public/scheduled-functions/runs/{runId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getnexor.ai/api/public/scheduled-functions/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduled_function_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"function_name": "<string>",
"status": "success",
"trigger_source": "<string>",
"duration_ms": 123,
"candidates_found": 123,
"effects_applied": 123,
"effects_failed": 123,
"log_count": 123,
"error": "<unknown>",
"result": "<unknown>",
"has_result": true,
"scheduled_for": "2023-11-07T05:31:56Z",
"ran_at": "2023-11-07T05:31:56Z",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cron_expression": "<string>",
"timezone": "<string>",
"logs": [
"<unknown>"
],
"effects": [
"<unknown>"
],
"requests": [
"<unknown>"
],
"ctx": "<unknown>"
},
"success": "<unknown>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>"
}Get a Scheduled Function Run
This operation lets you get a scheduled function run for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
GET
/
scheduled-functions
/
runs
/
{runId}
Get a Scheduled Function Run
Last modified on September 8, 2026
⌘I